/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import javax.swing.JOptionPane;


/**
 *
 * @author familia
 */
public class AdicionarCaixaJFrame extends javax.swing.JFrame {

    /**
     * Creates new form AdicionarPastoJFrame
     */
    public AdicionarCaixaJFrame() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        nomeCaixa_lbl = new javax.swing.JLabel();
        nomeCaixa_txt = new javax.swing.JTextField();
        salvar_btn = new javax.swing.JButton();
        voltar_btn = new javax.swing.JButton();
        jMenuBar1 = new javax.swing.JMenuBar();
        navegar_menu = new javax.swing.JMenu();
        pagIni_nav_menu = new javax.swing.JMenuItem();
        sair_nav_menu = new javax.swing.JMenuItem();
        sobre_menu = new javax.swing.JMenu();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Adicionar Caixa");
        setPreferredSize(new java.awt.Dimension(320, 150));
        setResizable(false);
        setSize(new java.awt.Dimension(350, 250));

        jPanel1.setMaximumSize(new java.awt.Dimension(802, 600));
        jPanel1.setMinimumSize(new java.awt.Dimension(802, 600));
        jPanel1.setPreferredSize(new java.awt.Dimension(802, 600));

        nomeCaixa_lbl.setText("Nome da caixa");

        nomeCaixa_txt.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                nomeCaixa_txtActionPerformed(evt);
            }
        });

        salvar_btn.setText("Salvar");
        salvar_btn.setPreferredSize(new java.awt.Dimension(100, 25));
        salvar_btn.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                salvar_btnMouseClicked(evt);
            }
        });
        salvar_btn.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                salvar_btnActionPerformed(evt);
            }
        });

        voltar_btn.setText("< Voltar");
        voltar_btn.setPreferredSize(new java.awt.Dimension(100, 25));
        voltar_btn.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                voltar_btnActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(nomeCaixa_lbl)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(nomeCaixa_txt, javax.swing.GroupLayout.PREFERRED_SIZE, 198, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(voltar_btn, javax.swing.GroupLayout.PREFERRED_SIZE, 109, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(salvar_btn, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(478, Short.MAX_VALUE))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(nomeCaixa_lbl)
                    .addComponent(nomeCaixa_txt, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(voltar_btn, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(salvar_btn, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(532, Short.MAX_VALUE))
        );

        navegar_menu.setText("Navegar");

        pagIni_nav_menu.setText("Página Inicial");
        pagIni_nav_menu.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                pagIni_nav_menuActionPerformed(evt);
            }
        });
        navegar_menu.add(pagIni_nav_menu);

        sair_nav_menu.setText("Sair");
        sair_nav_menu.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                sair_nav_menuActionPerformed(evt);
            }
        });
        navegar_menu.add(sair_nav_menu);

        jMenuBar1.add(navegar_menu);

        sobre_menu.setText("Sobre");
        sobre_menu.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                sobre_menuMouseClicked(evt);
            }
        });
        jMenuBar1.add(sobre_menu);

        setJMenuBar(jMenuBar1);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
        );

        pack();
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    private void pagIni_nav_menuActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_pagIni_nav_menuActionPerformed
        // TODO add your handling code here:
        new HomeJFrame().setVisible(true);
        dispose();
    }//GEN-LAST:event_pagIni_nav_menuActionPerformed

    private void salvar_btnMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_salvar_btnMouseClicked
        // TODO add your handling code here:
    }//GEN-LAST:event_salvar_btnMouseClicked
       
    private void salvar_btnActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_salvar_btnActionPerformed
        new CaixasJFrame().setVisible(true);
        dispose();
    }//GEN-LAST:event_salvar_btnActionPerformed
    
    private void nomeCaixa_txtActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_nomeCaixa_txtActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_nomeCaixa_txtActionPerformed

    private void voltar_btnActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_voltar_btnActionPerformed
        // TODO add your handling code here:
        new PastosJFrame().setVisible(true);
        dispose();
    }//GEN-LAST:event_voltar_btnActionPerformed

    private void sair_nav_menuActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_sair_nav_menuActionPerformed
        // TODO add your handling code here:
        System.exit(0);
    }//GEN-LAST:event_sair_nav_menuActionPerformed

    private void sobre_menuMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_sobre_menuMouseClicked
        JOptionPane.showMessageDialog(null,"Criado por Lucas e Mesaque","Sobre", JOptionPane.INFORMATION_MESSAGE);
    }//GEN-LAST:event_sobre_menuMouseClicked

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(AdicionarCaixaJFrame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(AdicionarCaixaJFrame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(AdicionarCaixaJFrame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(AdicionarCaixaJFrame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new AdicionarCaixaJFrame().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JMenuBar jMenuBar1;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JMenu navegar_menu;
    private javax.swing.JLabel nomeCaixa_lbl;
    private javax.swing.JTextField nomeCaixa_txt;
    private javax.swing.JMenuItem pagIni_nav_menu;
    private javax.swing.JMenuItem sair_nav_menu;
    private javax.swing.JButton salvar_btn;
    private javax.swing.JMenu sobre_menu;
    private javax.swing.JButton voltar_btn;
    // End of variables declaration//GEN-END:variables
}
